package com.company;

import java.io.Serializable;
import java.util.UUID;

public class User implements Serializable {
    private UUID uuid;
    private String name;
    private String phone;

    private String login;
    private String password;

    public User(String name, String phone, String login, String password) {
        this.name = name;
        this.phone = phone;
        this.login = login;
        this.password = password;

        this.uuid = UUID.randomUUID();
    }

    public String getName() {
        return name;
    }

    public UUID getUuid() {
        return uuid;
    }

    public boolean check(String login, String password) {
        return (this.login.equals(login) && this.password.equals(password));
    }
}
